BRP Connect API

GET /v1/customers/{customer_id}

Einen einzelnen Kunden über seine Kennung abrufen. Erforderlicher Scope: customers:read

Als Markdown anzeigen
GET
/v1/customers/{customer_id}
X-Api-Key<token>

In: header

Path Parameters

customer_idstring

Kennung des Kunden

Response Body

curl -X GET "https://api.otark.energy/v1/customers/cust_r8s9t0u1"
{
  "id": "cust_r8s9t0u1",
  "name": "SolarDach GmbH",
  "status": "active",
  "balance_group": {
    "eic": "11YSOLARDACH--A",
    "tso": "DE_AMPRION"
  },
  "metadata": {
    "customer_number": "KD-2026-0815",
    "cost_center": "CC-4200",
    "region": "NRW"
  },
  "assigned_at": "2026-01-10T09:00:00Z",
  "activated_at": "2026-01-10T11:30:00Z",
  "created_at": "2026-01-10T09:00:00Z"
}

{
  "type": "https://brp.otark.energy/errors/invalid_api_key",
  "title": "Ungültiger API-Schlüssel",
  "status": 401
}

{
  "type": "https://brp.otark.energy/errors/insufficient_scopes",
  "title": "Unzureichende Scopes des API-Schlüssels",
  "status": 403,
  "detail": "Missing scope: customers:write. Please create a new API key with the required scopes."
}

{
  "type": "https://brp.otark.energy/errors/customer_not_found",
  "title": "Kunde nicht gefunden",
  "status": 404,
  "instance": "/v1/customers/cust_r8s9t0u1"
}